Bug 509002 - NSS_NoDB_Init() not supported
NSS_NoDB_Init() not supported
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-nss (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: John Dennis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 15:56 EDT by Miloslav Trmač
Modified: 2009-07-16 03:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.6-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 17:47:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2009-06-30 15:56:41 EDT
Please add support for NSS_NoDB_Init().  The workaround (creating a temporary directory and initializing it) is unclean (if the process is terminated unexpectedly, the temporary directory will remain), not to mention very ugly.
Comment 1 Miloslav Trmač 2009-06-30 16:09:31 EDT
(NSS_InitReadWrite could perhaps be useful as well, although I don't need it in my application.)
Comment 2 John Dennis 2009-06-30 16:52:54 EDT
Added nss_init_nodb
Note: moved nss_init and nss_shutdown from the nss.ssl module to the nss.nss module, it was never correct that nss_init was in the ssl module.

I've built a test rpm and posted it on my people page. I have not tested the new entry point, if you would please do that I'd appreciate it. If it seems to work fine I'll push it into updates.

http://people.redhat.com/jdennis/python-nss/python-nss-0.4-1.fc12.i686.rpm
Comment 3 Miloslav Trmač 2009-06-30 17:29:19 EDT
Thanks, nss.nss.nss_init_nodb (on a local rebuild using (python setup.py build)) works fine.
Comment 4 John Dennis 2009-06-30 17:47:42 EDT
python-nss-0.4-1 Should appear in rawhide and F11 shortly
Comment 5 Fedora Update System 2009-06-30 18:17:41 EDT
python-nss-0.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-nss-0.4-1.fc11
Comment 6 John Dennis 2009-07-01 15:56:36 EDT
FYI: renaming ssl.nss_init to nss.nss_init and ssl.nss_shutdown to nss.nss_shutdown should not break existing code so I just build a new package which restores ssl.nss_init and ssl.shutdown, but marks them as deprecated. I also added a version string to the package: nss.__version__
Comment 7 Fedora Update System 2009-07-09 09:12:46 EDT
python-nss-0.6-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-nss-0.6-2.fc11
Comment 8 Fedora Update System 2009-07-16 03:03:55 EDT
python-nss-0.6-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.